#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	alabaster
Summary:	A configurable sidebar-enabled Sphinx theme
Summary(pl.UTF-8):	Konfigurowany motyw z bocznym panelem dla Sphinksa
Name:		python-%{module}
Version:	0.7.12
Release:	3
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/alabaster/
Source0:	https://files.pythonhosted.org/packages/source/a/alabaster/%{module}-%{version}.tar.gz
# Source0-md5:	3591827fde96d1dd23970fb05410ed04
URL:		https://pypi.org/project/alabaster/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-setuptools >= 7.0
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools >= 7.0
%endif
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A configurable sidebar-enabled Sphinx theme.

This theme is a modified "Kr" Sphinx theme from @kennethreitz
(especially as used in his Requests project), which was itself
originally based on @mitsuhiko's theme used for Flask & related
projects.

%description -l pl.UTF-8
Konfigurowany motyw z bocznym panelem (sidebarem) dla Sphinksa.

Motyw ten to zmodyfikowany motyw Sphinksa "Kr" od @kennethreitz
(konkretnie wersja używana w jego projekcie Requests), pierwotnie
oparty na motywie @mitsuhiko używanym w projekcie Flash i powiązanych
z nim.

%package -n python3-%{module}
Summary:	A configurable sidebar-enabled Sphinx theme
Summary(pl.UTF-8):	Konfigurowany motyw z bocznym panelem dla Sphinksa
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-%{module}
A configurable sidebar-enabled Sphinx theme

This theme is a modified "Kr" Sphinx theme from @kennethreitz
(especially as used in his Requests project), which was itself
originally based on @mitsuhiko's theme used for Flask & related
projects.

%description -n python3-%{module} -l pl.UTF-8
Konfigurowany motyw z bocznym panelem (sidebarem) dla Sphinksa.

Motyw ten to zmodyfikowany motyw Sphinksa "Kr" od @kennethreitz
(konkretnie wersja używana w jego projekcie Requests), pierwotnie
oparty na motywie @mitsuhiko używanym w projekcie Flash i powiązanych
z nim.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%endif
%changelog
* Sat Feb 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-alabaster.git;a=log;h=master

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c58bd80
- release 3 (by relup.sh)

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 79f16cc
- release 2 (by relup.sh)

* Sat Dec 28 2019 Jakub Bogusz <qboosh@pld-linux.org> f6c6b4f
- updated to 0.7.12

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a2bf2b8
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Jul 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 4a234fc
- updated to 0.7.11

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d2685bd
- python 3.7 rebuild
- release 2 (by relup.sh)

* Fri Mar 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 7690ee4
- updated to 0.7.10

* Mon Jan 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 036b64f
- updated to 0.7.9

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> ad45e3a
- python3.6
- release 2 (by relup.sh)

* Tue Dec 01 2015 Jakub Bogusz <qboosh@pld-linux.org> f0e5c25
- updated to 0.7.6

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 8d7671f
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> af3b26e
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 54117e1
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e752832
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6cf96bf
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sun Jun 21 2015 Jakub Bogusz <qboosh@pld-linux.org> c05795a
- pl

* Mon Jun 15 2015 Elan Ruusamäe <glen@delfi.ee> 2c7296e
- use C encoding for en

* Mon Jun 15 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> afc9ffc
- new package

